View Single Post
Old 12-04-06, 09:58 PM   #26
anonmys
sridhar
 
Join Date: Dec 2006
Posts: 14
Default Re: Error Building Kernel module: 2.6.19 & 8776

Quote:
Originally Posted by zander
@anonmys: I updated the patch attached to my #19 post.
Thanks. It compiled and now am running 2.6.19 with 8776 driver.

I do not know whether this is the right place, but I will post it so that someone can comment on it. When I install the driver, during the end I get a message telling :

Quote:
ERROR: The runtime configuration check failed for the library
'libnvidia-tls.so.1.0.8776' (expected:
'/usr/lib/tls/libnvidia-tls.so.1', found:
'/usr/lib/libnvidia-tls.so.1'). The most likely reason for this is that
conflicting OpenGL libraries are installed in a location not inspected
by `nvidia-installer`. Please be sure you have uninstalled any
third-party OpenGL and/or third-party graphics driver packages.
But, everything works even though it says that the installation failed. But, the files in question were put there by the installer as can be seen by the timestamps

$ ls -l libnvidia-tls.so.1* tls/
lrwxrwxrwx 1 root root 25 2006-12-05 08:57 libnvidia-tls.so.1 -> libnvidia-tls.so.1.0.8776*
-rwxr-xr-x 1 root root 2352 2006-12-05 08:57 libnvidia-tls.so.1.0.8776*

tls/:
total 4
lrwxrwxrwx 1 root root 25 2006-12-05 08:57 libnvidia-tls.so.1 -> libnvidia-tls.so.1.0.8776*
-rwxr-xr-x 1 root root 2324 2006-12-05 08:57 libnvidia-tls.so.1.0.8776*

I verfied that even by deleting the files in /usr/lib before installation. Same result. What could be the problem? If it is really not an error, why flag it so?

Thanks for NVIDIA for responding so fast to our queries.

Regards.

Last edited by anonmys; 12-05-06 at 07:29 AM.
anonmys is offline   Reply With Quote